package com.ruoyi.web.controller.fgw;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.fgw.FgwShyj;
import com.ruoyi.system.domain.projectV2.ZsyzShyj;
import com.ruoyi.system.service.fgw.IFgwCommonService;
import com.ruoyi.system.service.fgw.IFgwShyjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: tjf
 * @Date: 2023/3/23 8:58
 * @Describe:
 */
@RestController
@RequestMapping("/fgw/common")
public class FgwCommonController {
    @Autowired
    private IFgwShyjService fgwShyjService;
    @Autowired
    private IFgwCommonService fgwCommonService;

    /**
     * 招商中心项目审核/驳回接口
     * 参数是审核建议
     *
     * @return
     */
    @PostMapping("/xmsh")
    @PreAuthorize("@ss.hasPermi('fgw:common:xmsh')")
    public AjaxResult xssh(@RequestBody FgwShyj fgwShyj) {
        //所有审核需要往审核意见表插入数据
        return fgwShyjService.xssh(fgwShyj);
    }

    /**
     * 首页统计
     *
     * @return
     */
    @PostMapping("/census")
    @PreAuthorize("@ss.hasPermi('fgw:common:census')")
    public AjaxResult census() {
        return fgwCommonService.index();
    }

    /**
     * 本周汇报进度
     *
     * @return
     */
    @PostMapping("/hbjd")
    @PreAuthorize("@ss.hasPermi('fgw:common:hbjd')")
    public AjaxResult hbjd() {
        return fgwCommonService.hbjd();
    }
}
