package com.ruoyi.system.domain.fgw;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发改委_申报_主对象 fgw_xmsb
 * 
 * @author boman
 * @date 2023-03-22
 */
public class FgwXmsb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目单位 */
    @Excel(name = "项目单位")
    private String xmdw;

    /** 牵头责任单位 */
    @Excel(name = "牵头责任单位")
    private String qtzrdw;

    /** 牵头市领导 */
    @Excel(name = "牵头市领导")
    private String qtsld;

    /** 主要建设规模和内容 */
    @Excel(name = "主要建设规模和内容")
    private String gmnr;

    /** 计划开工时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划开工时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jhkgsj;

    /** 项目总投资 */
    @Excel(name = "项目总投资")
    private String xmztz;

    /** 上级补助 */
    @Excel(name = "上级补助")
    private String sjbz;

    /** 市财政补助 */
    @Excel(name = "市财政补助")
    private String sczbj;

    /** 专项债 */
    @Excel(name = "专项债")
    private String zxz;

    /** ppp */
    @Excel(name = "ppp")
    private String ppp;

    /** 融资 */
    @Excel(name = "融资")
    private String rz;

    /** 年度计划完成投资 */
    @Excel(name = "年度计划完成投资")
    private String ndjh;

    /** 上级补助资金渠道 */
    @Excel(name = "上级补助资金渠道")
    private String sjbzzjqd;

    /** 融资渠道 */
    @Excel(name = "融资渠道")
    private String rzqd;

    /** 地区 */
    @Excel(name = "地区")
    private String dq;

    /** 建设单位 */
    @Excel(name = "建设单位")
    private String jsdw;

    /** 建设部门id */
    @Excel(name = "建设部门id")
    private Long jsDeptId;

    /** 申报部门id */
    private Long deptId;

    /** 申报部门 */
    @Excel(name = "申报部门")
    private String deptName;

    /** 申报人id */
    @Excel(name = "申报人id")
    private Long userId;

    /** 开工时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开工时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kgsj;

    /** 纳统时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "纳统时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ntsj;

    /** 纳统项目完成投资 */
    @Excel(name = "纳统项目完成投资")
    private String ntxmtc;

    /** 申报状态 1:申报库 2:项目库 */
    @Excel(name = "申报状态 1:申报库 2:项目库")
    private String type;

    /** 项目进度  */
    @Excel(name = "项目进度 1:基本信息 2:前期工作手续")
    private String progress;

    /** 状态  */
    @Excel(name = " 项目状态 1:待审核 2:已通过 3:被退回 ")
    private String status;

    /**
     * 前期工作手续附件
     */
    private List<FgwFj> fjList;

    /***
     * 最新的一次领导批示内容
     */
    private String psnr;

    public String getPsnr() {
        return psnr;
    }

    public void setPsnr(String psnr) {
        this.psnr = psnr;
    }

    public List<FgwFj> getFjList() {
        return fjList;
    }

    public void setFjList(List<FgwFj> fjList) {
        this.fjList = fjList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmdw(String xmdw) 
    {
        this.xmdw = xmdw;
    }

    public String getXmdw() 
    {
        return xmdw;
    }
    public void setQtzrdw(String qtzrdw) 
    {
        this.qtzrdw = qtzrdw;
    }

    public String getQtzrdw() 
    {
        return qtzrdw;
    }
    public void setQtsld(String qtsld) 
    {
        this.qtsld = qtsld;
    }

    public String getQtsld() 
    {
        return qtsld;
    }
    public void setGmnr(String gmnr) 
    {
        this.gmnr = gmnr;
    }

    public String getGmnr() 
    {
        return gmnr;
    }
    public void setJhkgsj(Date jhkgsj) 
    {
        this.jhkgsj = jhkgsj;
    }

    public Date getJhkgsj() 
    {
        return jhkgsj;
    }
    public void setXmztz(String xmztz) 
    {
        this.xmztz = xmztz;
    }

    public String getXmztz() 
    {
        return xmztz;
    }
    public void setSjbz(String sjbz) 
    {
        this.sjbz = sjbz;
    }

    public String getSjbz() 
    {
        return sjbz;
    }
    public void setSczbj(String sczbj) 
    {
        this.sczbj = sczbj;
    }

    public String getSczbj() 
    {
        return sczbj;
    }
    public void setZxz(String zxz) 
    {
        this.zxz = zxz;
    }

    public String getZxz() 
    {
        return zxz;
    }
    public void setPpp(String ppp) 
    {
        this.ppp = ppp;
    }

    public String getPpp() 
    {
        return ppp;
    }
    public void setRz(String rz) 
    {
        this.rz = rz;
    }

    public String getRz() 
    {
        return rz;
    }
    public void setNdjh(String ndjh) 
    {
        this.ndjh = ndjh;
    }

    public String getNdjh() 
    {
        return ndjh;
    }
    public void setSjbzzjqd(String sjbzzjqd) 
    {
        this.sjbzzjqd = sjbzzjqd;
    }

    public String getSjbzzjqd() 
    {
        return sjbzzjqd;
    }
    public void setRzqd(String rzqd) 
    {
        this.rzqd = rzqd;
    }

    public String getRzqd() 
    {
        return rzqd;
    }
    public void setDq(String dq) 
    {
        this.dq = dq;
    }

    public String getDq() 
    {
        return dq;
    }
    public void setJsdw(String jsdw) 
    {
        this.jsdw = jsdw;
    }

    public String getJsdw() 
    {
        return jsdw;
    }
    public void setJsDeptId(Long jsDeptId) 
    {
        this.jsDeptId = jsDeptId;
    }

    public Long getJsDeptId() 
    {
        return jsDeptId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setKgsj(Date kgsj) 
    {
        this.kgsj = kgsj;
    }

    public Date getKgsj() 
    {
        return kgsj;
    }
    public void setNtsj(Date ntsj) 
    {
        this.ntsj = ntsj;
    }

    public Date getNtsj() 
    {
        return ntsj;
    }
    public void setNtxmtc(String ntxmtc) 
    {
        this.ntxmtc = ntxmtc;
    }

    public String getNtxmtc() 
    {
        return ntxmtc;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setProgress(String progress) 
    {
        this.progress = progress;
    }

    public String getProgress() 
    {
        return progress;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmmc", getXmmc())
            .append("xmbh", getXmbh())
            .append("xmdw", getXmdw())
            .append("qtzrdw", getQtzrdw())
            .append("qtsld", getQtsld())
            .append("gmnr", getGmnr())
            .append("jhkgsj", getJhkgsj())
            .append("xmztz", getXmztz())
            .append("sjbz", getSjbz())
            .append("sczbj", getSczbj())
            .append("zxz", getZxz())
            .append("ppp", getPpp())
            .append("rz", getRz())
            .append("ndjh", getNdjh())
            .append("sjbzzjqd", getSjbzzjqd())
            .append("rzqd", getRzqd())
            .append("dq", getDq())
            .append("jsdw", getJsdw())
            .append("jsDeptId", getJsDeptId())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("kgsj", getKgsj())
            .append("ntsj", getNtsj())
            .append("ntxmtc", getNtxmtc())
            .append("type", getType())
            .append("progress", getProgress())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
